#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-4yUTzvPcZBS4daUwLvQ8Gy
key:                  hoogle-5.0.18.4-4yUTzvPcZBS4daUwLvQ8Gy
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  b617e8145e9d7fb84465410987cc15ec
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-4yUTzvPcZBS4daUwLvQ8Gy
include-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-JblpeSTRZJp9GrWCfqywVt
    aeson-2.1.2.1-CCP80pZvZcA8gRL3g3IUms base-4.16.4.0 binary-0.8.9.0
    blaze-html-0.9.2.0-EgpHe0aEg1eB2rYK4ZrN8s
    blaze-markup-0.8.3.0-3Z63rPXRORBDqLTHYNZiQR bytestring-0.11.4.0
    cmdargs-0.10.22-JQ4ivQZzeRmKKTWVSPDfjg
    conduit-1.3.5-6EUEtJ6KUG5EQweg57H2AE
    conduit-extra-1.3.6-Fd5OBE1wUaHbMPiqvtHYy containers-0.6.5.1
    crypton-connection-0.3.2-K0la1z5z0H52Hh6oxjQfXx deepseq-1.4.6.1
    directory-1.3.6.2 extra-1.7.15-AGUYw6GbrLRLwm4dZiS6ZK
    filepath-1.4.2.2 foundation-0.0.30-HGERhRs5JCDILoHDx95jS
    hashable-1.4.4.0-4qKxN3FrXfb4sBBhra6sdO
    haskell-src-exts-1.23.1-JK67JKeYxaNH6wBMSbNzM2
    http-conduit-2.3.8.3-BSr0CxX1ivO1ywdYrjIbfW
    http-types-0.12.4-9vzTx0RF9aB1UjOQOhUDKg
    js-flot-0.8.3-CzHXKBaovyL8SpvVY5AoqF
    js-jquery-3.3.1-5etBGuhICYy7x9hpA5unx4
    mmap-0.5.9-Ev5kK7GQQYl5y5LE8RvEAs
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    process-extras-0.7.4-ELEoBB91YhQK1C8WqT9shA
    resourcet-1.2.6-BM5v6tF5II2KPin7i2OBLF
    safe-0.3.21-FHqmWeL515h1ZDkEwV0YZX
    storable-tuple-0.1-GMBKSaaHhSeHiTNyKIMhM5
    tar-0.5.1.1-IunMYKTLM8I4dFdf6nlGVc template-haskell-2.18.0.0
    text-1.2.5.0 time-1.11.1.1 transformers-0.5.6.2
    uniplate-1.6.13-E9XLtnRxE39Lc36BhbYiEq
    utf8-string-1.0.2-9i4m1tpDbmh81tMCrQ25jI
    vector-0.13.1.0-G7FmTKS6EuOC4CxSRTf251
    wai-3.2.4-Hx8a5HTOQSLLESHKvKusBL
    wai-logger-2.4.1-AcELCYbCAV8KiRn6m2rYpz
    warp-3.3.30-8oc52pAaRed3eHrzEoTP2k
    warp-tls-3.4.6-KgPaNGNqoyWFBnp8asHEe9
    zlib-0.6.3.0-4oNu8NfYCJoKmon76HPhFR

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

